Returns the filename of a particular image in a sequence

- « Imagick::getImageExtrema

- Imagick::getImageFormat »

- PHP Manual
- Imagick
- Returns the filename of a particular image in a sequence

# Imagick::getImageFilename

(PECL imagick 2, PECL imagick 3)

Imagick::getImageFilename — Returns the filename of a particular image in a sequence

### Description

public Imagick::getImageFilename(): string

Returns the filename of a particular image in a sequence.

### Parameters

This function has no parameters.

### Return Values

Returns a string with the filename of the image.

### Errors/Exceptions

Throws ImagickException on error.